Bug 756386 - Review Request: ghc-unordered-containers - Efficient hashing-based container types
Review Request: ghc-unordered-containers - Efficient hashing-based container ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: yi ghc-snap-core
  Show dependency treegraph
 
Reported: 2011-11-23 07:25 EST by Jens Petersen
Modified: 2011-12-28 17:21 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-unordered-containers-0.1.4.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-28 17:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-11-23 07:25:25 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-unordered-containers/ghc-unordered-containers.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-unordered-containers/ghc-unordered-containers-0.1.4.3-1.fc15.src.rpm
Description: 
Efficient hashing-based container types. The containers have been optimized for performance critical use, both in terms of large data quantities and high speed.

The declared cost of each operation is either worst-case or amortized, but remains valid even if structures are shared.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3534579

Needed for snap-core-0.6 and yi-0.6.4.
Comment 2 Narasimhan 2011-12-02 23:32:00 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-unordered-containers-0.1.4.3-1.fc16.src.rpm ghc-unordered-containers-0.1.4.3-1.fc16.x86_64.rpm ghc-unordered-containers-devel-0.1.4.3-1.fc16.x86_64.rpm ../ghc-unordered-containers.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK, BSD license. License text attached.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Licensed with BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is attached.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum unordered-containers-0.1.4.3.tar.gz 
1ec97a55ecdc117a592b8868d6d9a971  unordered-containers-0.1.4.3.tar.gz

md5sum  ghc-unordered-containers-0.1.4.3-1.fc15.src/unordered-containers-0.1.4.3.tar.gz 
1ec97a55ecdc117a592b8868d6d9a971  ghc-unordered-containers-0.1.4.3-1.fc15.src/unordered-containers-0.1.4.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
 rpm -e ghc-unordered-containers
error: Failed dependencies:
	ghc(unordered-containers-0.1.4.3) = c1d6bb8346be6120a0bd9146a7e3dacd is needed by (installed) ghc-unordered-containers-devel-0.1.4.3-1.fc16.x86_64
	ghc-unordered-containers = 0.1.4.3-1.fc16 is needed by (installed) ghc-unordered-containers-devel-0.1.4.3-1.fc16.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Loaded Data.HashMap.Lazy into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[+]SHOULD : If source files do not have license mentioned, the packager SHOULD query upstream.


cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2011-12-15 04:40:25 EST
Thank you!  Sorry for slow response.


New Package SCM Request
=======================
Package Name: ghc-unordered-containers
Short Description: Efficient hashing-based container types
Owners: petersen
Branches: f16 f15 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-12-15 07:55:55 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-12-15 21:58:26 EST
ghc-unordered-containers-0.1.4.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-unordered-containers-0.1.4.3-1.fc16
Comment 6 Fedora Update System 2011-12-15 21:58:34 EST
ghc-unordered-containers-0.1.4.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-unordered-containers-0.1.4.3-1.fc15
Comment 7 Fedora Update System 2011-12-16 15:01:54 EST
ghc-unordered-containers-0.1.4.3-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 8 Fedora Update System 2011-12-28 17:20:56 EST
ghc-unordered-containers-0.1.4.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2011-12-28 17:21:38 EST
ghc-unordered-containers-0.1.4.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.